Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render
Interface RendererEventProducer

All Superinterfaces:
  EventProducer

public interface RendererEventProducer
extends EventProducer

Event producer interface for rendering-specific events.

Nested Class Summary
`static class` | `RendererEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `ioError(java.lang.Object source, java.io.IOException ioe)` I/O error while writing target file.

Method Detail

### ioError

    public void ioError(java.lang.Object source,
                        java.io.IOException ioe)

  I/O error while writing target file.

  Parameters:
    `source` - the event source
    `ioe` - the original I/O error
  Event severity level:
    ERROR

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.